/*
 *  fpComplexFuncs.h
 *  fp
 *
 *  Created by Robert Delaney on 11/8/09.
 *  Copyright 2009 Bob Delaney's Science Software. All rights reserved.
 *
 */

fp abs(const fpComplex& x);
fpComplex conj(const fpComplex& x);
void exp(fpComplex& z, const fpComplex& x);
fpComplex exp(const fpComplex& x);
void log(fpComplex& z, const fpComplex& x);
fpComplex log(const fpComplex& x);
void sin(fpComplex& z, const fpComplex& x);
fpComplex sin(const fpComplex& x);
void cos(fpComplex& z, const fpComplex& x);
fpComplex cos(const fpComplex& x);
void tan(fpComplex& z, const fpComplex& x);
fpComplex tan(const fpComplex& x);
void atan2(fp& theta, const fpComplex& x);
fp atan2(const fpComplex& x);
void sqrt(fpComplex& z, const fpComplex& x);
fpComplex sqrt(const fpComplex& x);
void sqr(fpComplex& z, const fpComplex& x);
fpComplex sqr(const fpComplex& x);
void sinh(fpComplex& z, const fpComplex& x);
fpComplex sinh(const fpComplex& x);
void cosh(fpComplex& z, const fpComplex& x);
fpComplex cosh(const fpComplex& x);
void tanh(fpComplex& z, const fpComplex& x);
fpComplex tanh(const fpComplex& x);
void asin(fpComplex& z, const fpComplex& x);
fpComplex asin(const fpComplex& x);
void acos(fpComplex& z, const fpComplex& x);
fpComplex acos(const fpComplex& x);
void atan(fpComplex& z, const fpComplex& x);
fpComplex atan(const fpComplex& x);
void asinh(fpComplex& z, const fpComplex& x);
fpComplex asinh(const fpComplex& x);
void acosh(fpComplex& z, const fpComplex& x);
fpComplex acosh(const fpComplex& x);
void atanh(fpComplex& z, const fpComplex& x);
fpComplex atanh(const fpComplex& x);
void pow(fpComplex& z, const fpComplex& x, const fpComplex& y);
fpComplex pow(const fpComplex& x, const fpComplex& y);
void pow(fpComplex& z, const fpComplex& x, const fp& y);
fpComplex pow(const fpComplex& x, const fp& y);
void pow(fpComplex& z, const fpComplex& x, double y);
fpComplex pow(const fpComplex& x, double y);
void pow(fpComplex& z, const fpComplex& x, INT32 y);
fpComplex pow(const fpComplex& x, INT32 y);
void pow(fpComplex& z, const fp& x, const fpComplex& y);
fpComplex pow(const fp& x, const fpComplex& y);
void pow(fpComplex& z, double x, const fpComplex& y);
fpComplex pow(double x, const fpComplex& y);
